Package org.eclipse.microprofile.config.tck.converters

## Class Donald

- java.lang.Object
- - org.eclipse.microprofile.config.tck.converters.Donald

    public class Donald
    extends Object

Class, which is converted using a Lambda based converter.

Author:
  Anatole Tresch

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`static Donald` `iLikeDonald​(String name)` Ensure constructor cannot be auto-detected/auto-constructed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### iLikeDonald

    public static Donald iLikeDonald​(String name)

Ensure constructor cannot be auto-detected/auto-constructed.

Parameters:
  `name` - the name, not null
Returns:
  a new instance, never null.

#### getName

    public String getName()